%define gcc_version	9.2.0
%define libstdcpp_majver 6
Summary: Symlinks to libstdc++ for HEPonX
Name: gcc-symlinks
%define version %{gcc_version}
Version: %{version}
Release: 10.15%{?dist}1a
License: distributable
Group: Development/Languages
Requires: gcc = %{version}

%description
Provides MacOS X 10.15 symlinks to libstdc++ to make PyROOT compiled
with gcc work on 10.15.

%prep
%setup -T -c %{name}

%build
ln -s /opt/osxws/etc/alternatives/libstdc++.6.dylib libstdc++.dylib

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}
cp -a libstdc++.dylib $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,wheel)
%attr(644, root, wheel) %{_libdir}/libstdc++.dylib

%changelog
* Fri Mar 13 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 10.15hepx1a
- 1st release on MacOS X 10.15 for gcc-9.2.0
- built with OSXWS 10.15
